import streamlit as st

import streamlit_antd_components as sac

# This doc is used to set up the navigation bar 
# basic structure is:
def navigation_bar():
    # start page is the homepage
    page_label = "Homepage"
    
    with st.sidebar:
        st.image("./images/BuffTeksLogo.png", caption="Building Skills, Crafting Code, Bridging Communities")
    
        page_label = sac.menu([
            sac.MenuItem('Homepage', icon='house'),
            sac.MenuItem('BuffBot', icon='robot'),
            sac.MenuItem('BuffTools', icon='boxes', children=[
                sac.MenuItem('Letter Generator', icon='bi bi-file-word'),
                sac.MenuItem('AI Image Editor', icon='bi bi-image'),
            ]),
            sac.MenuItem('Outstanding Members', icon='award'),
            sac.MenuItem("Join Us", icon='person-add'),
            sac.MenuItem('BuffTeks Project', icon='bi bi-laptop'),
            sac.MenuItem('BuffTeks Classroom', icon='book', children=[
                sac.MenuItem('About Classroom', icon='question-circle'),
                sac.MenuItem('PythonX', icon='bi bi-filetype-py', children=[
                    sac.MenuItem('About PythonX', icon='question-circle'),
                    sac.MenuItem('Introduction', icon='1-square'),
                    sac.MenuItem('WordCloud', icon='2-square'),
                    sac.MenuItem('Finance', icon='3-square'),
                    sac.MenuItem('GeoMap', icon='4-square'),
                    # sac.MenuItem('BuffBot', icon='5-square'),
                    ]),    
                 sac.MenuItem('CoreTeks', icon='bi bi-tools'),   
            ]),
            sac.MenuItem('BuffTeks Event', icon='calendar-event', children=[
                    sac.MenuItem('CIS Tech Challenge', icon='bi bi-trophy'),
            ]),
            # sac.MenuItem("Testing", icon='fingerprint'),
            # sac.MenuItem(type='divider'),
            # sac.MenuItem('Link', type='group', children=[
            #     sac.MenuItem('Join Us', icon='person-plus', href='https://wtamuuw.az1.qualtrics.com/jfe/form/SV_2boQtKLCptO33HE'),
            # ]),

            sac.MenuItem(type='divider'),
            sac.MenuItem("Reference", icon='paperclip'),

        ], open_all=True)
    
    return page_label
    